# -*- coding: utf-8 -*-
from setuphelpers import *
import json

def update_package():
    # Compile
    mkdirs("/var/build")
    run("git clone https://gitea.ad.tranquil.it/tis-internal-tools/tis-rsat.git /var/build")               # todo
    run(r'git -C /var/build submodule update --progress --init -- "submodules/mORMot2"')
    run(r'git -C /var/build submodule update --progress --init -- "submodules/pltis_uicomponents"')
    run(r'git -C /var/build submodule update --progress --init -- "submodules/pltis_tsmbios"')
    run(r'git -C /var/build submodule update --progress --init -- "submodules/pltis_utils"')
    run(r'git -C /var/build submodule update --progress --init -- "submodules/pltis_virtualtrees"')
    run(r'git -C /var/build submodule update --progress --init -- "submodules/metadarkstyle"')
    update_apt()
    install_apt("mingw-w64")
    install_apt("binutils-mingw-w64")
    wget('https://synopse.info/files/mormot2static.7z','mormot2static.7z')
    run('7zz x -y mormot2static.7z -ostatic')
    remove_tree(r'/var/build/submodules/mORMot2/static')
    os.rename('static',r'/var/build/submodules/mORMot2/static')
    remove_file('mormot2static.7z')
    run('/opt/buildbot/lazarus_2_2/lazarus/lazbuild --add-package-link /var/build/submodules/mORMot2/packages/lazarus/mormot2.lpk')
    run('/opt/buildbot/lazarus_2_2/lazarus/lazbuild --add-package-link /var/build/submodules/pltis_uicomponents/pack/pltis_uicomponents.lpk')
    run('/opt/buildbot/lazarus_2_2/lazarus/lazbuild --add-package-link /var/build/submodules/pltis_tsmbios/Packages/tsmbios.lpk')
    run('/opt/buildbot/lazarus_2_2/lazarus/lazbuild --add-package-link /var/build/submodules/pltis_utils/pltis_utils.lpk ')
    run('/opt/buildbot/lazarus_2_2/lazarus/lazbuild --add-package /var/build/submodules/pltis_virtualtrees/virtualtreeview_package.lpk')
    run('/opt/buildbot/lazarus_2_2/lazarus/lazbuild --add-package /var/build/submodules/metadarkstyle/metadarkstyle.lpk')
    run('/opt/buildbot/lazarus_2_2/lazarus/lazbuild --add-package /var/build/submodules/metadarkstyle/metadarkstyledsgn.lpk')

    run("ln -s /usr/bin/x86_64-w64-mingw32-windres /usr/bin/windres")
    version = "0.0.%s" % run(r"git -C /var/build rev-list --count main").strip()
    control.set_software_version(version)
    control.save_control_to_wapt()
    run("/opt/buildbot/lazarus_2_2/lazarus/lazbuild --build-mode=linux-x64 /var/build/src/tisrsat.lpi ")
    # WAPT PAckage prepare
    filecopyto("/var/build/bin/linux-x64/tisrsat", "RsatConsole")
